package com.diagbot.repository;

import com.diagbot.entity.node.Dept;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.ArrayList;
import java.util.List;

public class DeptNode {

    /**
     * 获取科室名称列表
     */
    public List<String> getDeptNameList(String name, DeptRepository deptRepository, BaseNodeRepository baseNodeRepository) {
        List<String> deptlt = new ArrayList<>();
        Page<Dept> deptPage = deptRepository.findByNameContainingIgnoreCaseOrPycodeContainingIgnoreCase(name, name, PageRequest.of(0, 100));
        List<Dept> deptlist = deptPage.getContent();
        for (Dept dept : deptlist) {
            deptlt.add(dept.getName());
        }
        return deptlt;
    }
}

